Bug 2388 - rejected add() leaves incomplete state behind which then upsets the sweeper
: rejected add() leaves incomplete state behind which then upsets the sweeper
Status: RESOLVED FIXED
: MDS4
wsrf_aggregator
: development
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-12-02 17:06 by
Modified: 2005-02-01 19:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-02 17:06:21
The below happens during sweep time if a registration is rejected at add time:

2004-12-01 07:42:15,464 ERROR impl.AggregatorServiceGroupResource [Thread-81,
run:299] when removing aggregation
java.lang.NullPointerException
        at java.util.Hashtable.remove(Hashtable.java:435)
        at org.globus.mds.aggregator.impl.PollingAggregatorSource.
removeAggregation(PollingAggregatorSource.java:211)
        at org.globus.mds.aggregator.impl.
AggregatorServiceGroupResource$EntrySweeper.run(AggregatorServiceGroupResource.
java:297)
2004-12-01 07:42:15,468 ERROR impl.AggregatorServiceGroupResource [Thread-81,
run:299] when removing aggregation
java.lang.NullPointerException
        at java.util.Hashtable.remove(Hashtable.java:435)
        at org.globus.mds.aggregator.impl.PollingAggregatorSource.
removeAggregation(PollingAggregatorSource.java:211)
        at org.globus.mds.aggregator.impl.
AggregatorServiceGroupResource$EntrySweeper.run(AggregatorServiceGroupResource.
java:297)
2004-12-01 07:42:15,470 ERROR impl.AggregatorServiceGroupResource [Thread-81,
run:299] when removing aggregation
java.lang.NullPointerException
        at java.util.Hashtable.remove(Hashtable.java:435)
        at org.globus.mds.aggregator.impl.PollingAggregatorSource.
removeAggregation(PollingAggregatorSource.java:211)
        at org.globus.mds.aggregator.impl.
AggregatorServiceGroupResource$EntrySweeper.run(AggregatorServiceGroupResource.
java:297)
------- Comment #1 From 2005-02-01 19:34:34 -------
This is fixed in the latest aggregator changes.